> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/chord-oms-overview/oms-support-for-multiple-stores.md).

# OMS Support for Multiple Stores

## OMS Support for Multiple Stores

Chord supports a "multi-store" architecture within the Chord OMS, i.e. sending data from more than one store to the same Chord instance.

Multiple stores can be used to delineate between a D2C or Wholesales business or to create locale-specific stores that require a specific product catalog or stores that are specific to a certain country or region.

{% hint style="warning" %}
This is an advanced feature. Please speak with someone at Chord before acting on the following. Chord does not currently support **multiple currencies.**
{% endhint %}

A store can be assigned to the following entities:

* Orders
* Subscriptions (the store assigned to the subscription will be the store assigned to orders generated from installments from the subscription)
* Products
* Shipping methods
* Shipping fees
* Payment methods

{% hint style="info" %}
OMS does not restrict products in one store from being added to an order in a different store. For example, OMS will allow a product assigned to the Wholesale store to be added to an order assigned to the D2C store.
{% endhint %}

Each store can be configured uniquely. There is no shared or common configuration between multiple stores, however stores can be configured with the same settings.

### Use Cases

Chord's multi-store architecture within the OMS allows for the support of a variety of different use cases.

**Examples:**

* **Store Types**
  * Chord's customers today can create two parallel stores each with their own store settings configurations. Each store can be pointed to a specific 3PL, it's own CMS instance (for a custom product catalog) and be configured with a unique Stripe account.
  * Examples: *D2C, Wholesale*
* **Regional/Country-Specific Stores**
  * Chord OMS allows for the creation of country-specific stores that can be used to. In addition to language, the locale contains a country code; together the locale represents the identifier to be used to toggle in between different country-based stores.
  * Example: *A Canadian store & a US store*

{% hint style="warning" %}
\***NOTE:** \*Support for locale-specific stores requires that a store be configured per each locale. This allows for seamless country toggling and proper cart management
{% endhint %}

### Creating a New Store

New stores can be created in the ***Store Setup*** page of\*\* *Store Settings*\*\*. To create a new store, click the "New Store" button in the top-right corner.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-8c7f843aef0b9449d014466c5f42e0f2418c4c6a%2Foms-support-for-multiple-stores-1.png?alt=media)

Add the new store's `Site Name`, `Slug`, `Site URL` and `Mail From Address`

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-3fc55b914725498f2b38546213a4d6c5bfc60746%2Foms-support-for-multiple-stores-2.png?alt=media)

Once configured, all stores will co-exist on the `Store Setup` page. Specific store settings can be accessed via the the edit icon on the far right.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-65db4d7396f677b0f8b38a0e199f2d12c9476064%2Foms-support-for-multiple-stores-3.png?alt=media)

## Supporting Multiple Stores in the Storefront

Directing API requests to different stores is controlled by setting the `ACS-Store` header in the storefront code. Refer to [Store Selection](https://chord.stoplight.io/docs/chord-oms/ad2b1d6d5da44-store-selection) documents for more details.

Most multi-store customers implement a store selector control on their storefront to allow their customers to choose which store to shop from. Usually, this control is a dropdown in the header or footer. When their customers choose a different value in that store selector:

* Storefronts using Chord's client-side SDKs will want to change the `storeSlug` and `storeId` given to the `ChordProvider`. This will provide the correct `ACS-Store` header in all API requests made with the SDK.
* Storefronts interacting directly with ChordOMS' API will want to provide the store's slug to the `ACS-Store` header in all API requests.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/chord-oms-overview/oms-support-for-multiple-stores.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
